@use 'partials/classes/round-button';
@use 'partials/classes/stroked-button-border-color';
@use 'partials/mixins/button-width';

$border-color: var(--mdc-outlined-button-outline-color, rgba(0, 0, 0, 0.3));
$min-drop-zone-size: 200px;
$max-drop-zone-size: 600px;
$min-preview-size: 200px;
$max-preview-size: 300px;

.hide-error {
  visibility: hidden;
}

.hidden {
  display: none;
}

.upload-image-container {
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: flex-start;
  gap: 15px;
}

.image-drop-zone {
  flex: 2 1 $max-drop-zone-size;
  width: $max-drop-zone-size;
  height: $max-drop-zone-size;
  min-width: $min-drop-zone-size;
  min-height: $min-drop-zone-size;
  max-width: $max-drop-zone-size;
  max-height: $max-drop-zone-size;
  border: 1px dashed $border-color;
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.select-image-container {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  height: 100%;
}

.upload-image-icon {
  font-size: 40px;
  width: 40px;
  height: auto;
}

.image-preview-container {
  flex: 1 2 $min-preview-size;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}

.image-preview {
  display: flex;
  justify-content: center;
  align-items: center;
  width: $min-preview-size;
  height: $min-preview-size;
  min-width: $min-preview-size;
  min-height: $min-preview-size;
  max-width: $max-preview-size;
  max-height: $max-preview-size;
  border: 1px solid $border-color;
  border-radius: 5px;
}

.preview {
  width: auto;
  height: auto;
  min-width: 50%;
  min-height: auto;
  max-width: 50%;
  border-radius: 50%;
  aspect-ratio: 1/1;
}

.processing-image {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 10px;
}

p {
  text-align: center;
}

button {
  padding: 0 20px;
  @include button-width.set-button-width(162px);
}
